#footer {
    background: var(--color-jade);
    padding: 3em;
    @media (max-width: 900px) {
        padding: 2em;
    }
}

.footer__content {
    display: flex;
    flex-direction: column;

}

.footer-top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: flex-start;    
    height: 40%;
    @media (max-width: 900px) {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
}

.footer-left__slogan {
    font-family: 'Plus Jakarta Sans', serif;
    font-size: clamp(1.5em, 3vw, 3em);
    color: var(--color-snowcap);
    font-weight: 500;
    margin-bottom: 0.5em;
    @media (max-width: 900px) {
        font-size: clamp(2em, 7vw, 4.5em);
        margin: 0.8em 0;
    }
}

.footer__button {
    font-family: 'Plus Jakarta Sans', serif;
    color: var(--color-onyx);
    background-color: var(--color-snowcap);
    border-radius: 100px;
    border: none;
    cursor: pointer;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: background-color 0.3s ease, scale 0.3s ease;
}

.footer__button:hover {
    background-color: var(--color-background-gray-2);
    scale: 1.05;
}



.footer-right {
    display: flex;
    justify-content: space-evenly;
    gap: 20px;
}

.footer-right__column {
    margin-left: 1em;
    width: 20%;
    @media (max-width: 900px) {
        margin-left: 0;
        margin-bottom: 2em;
        width: 100%;
    }
}
.footer-right__column h3 {
    font-family: 'Plus Jakarta Sans', serif;
    color: var(--color-snowcap);
    font-weight: 400;
    border-left: none;
    padding-left: 0;
    margin: 0;
    font-size: clamp(1.5em, 1.5vw, 2.5em);
    margin-bottom: 0.5em;
    @media (max-width: 900px) {
        font-size: clamp(1.4em, 3.5vw, 4.5em);
    }
}
.footer-right__column a {
    color: var(--color-snowcap);
    font-family: 'Roboto';
    font-weight: 300;
    text-decoration: none;
    @media (max-width: 900px) {
        font-size: clamp(1em, 2.5vw, 3em);
    }
    
}

.footer-right__column h3:hover {
    text-decoration: underline;
    
}
.footer-right__links {
    list-style-type: none;
}

.footer-bottom {
    transform: translateY(2.8em);
    color: var(--color-snowcap);
    font-family: 'Roboto', serif;
    font-size: clamp(0.5em, 1.5vw, 0.9em);
}


hr.solid {
    width: 100%;
    border: 0;
    border-top: 1px solid var(--color-snowcap);
    margin: 2em 0 3em 0;
    opacity: 0.5;

    @media (max-width: 900px) {
        margin-bottom: 4em;
    }
}
